Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.models.info

## Interface Info

All Superinterfaces:
  `Constructible`, `Extensible<Info>`

    public interface Info
    extends Constructible, Extensible<Info>

This interface represents all the metadata about the API. The metadata may be used by clients if needed, and may be presented in editing or documentation tools.

See Also:
  OpenAPI Specification Info Object

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Info` `contact​(Contact contact)` Sets this Info instance's contact information for the exposed API and returns this instance of Info.
`default Info` `description​(String description)` Sets this Info instance's description for the application to the given description and returns this instance of Info.
`Contact` `getContact()` Returns the contact information for the exposed API from this Info instance.
`String` `getDescription()` Returns a short description for the application for this Info instance.
`License` `getLicense()` Returns the license information for the exposed API from this Info instance.
`String` `getSummary()` Returns the summary of the exposed API from this Info instance.
`String` `getTermsOfService()` Returns the URL to the Terms of Service for the API for this instance of Info.
`String` `getTitle()` Returns the title for the application for this instance of Info
`String` `getVersion()` Returns the version of the OpenAPI document for this Info instance.
`default Info` `license​(License license)` Sets this Info's license information for the exposed API and returns this instance of Info.
`void` `setContact​(Contact contact)` Sets this Info instance's contact information for the exposed API.
`void` `setDescription​(String description)` Sets this Info instance's description for the application to the given description.
`void` `setLicense​(License license)` Sets this Info's license information for the exposed API.
`void` `setSummary​(String summary)` Sets this Info instance's summary information for the exposed API.
`void` `setTermsOfService​(String termsOfService)` Sets this Info instance's URL to the Terms of Service for the API to the given String.
`void` `setTitle​(String title)` Sets this Info instance's title for the application to the given title.
`void` `setVersion​(String version)` Sets the version of the OpenAPI document for this instance of Info to the given version.
`default Info` `summary​(String summary)` Sets this Info instance's summary of the API to the given summary and returns this instance of Info.
`default Info` `termsOfService​(String termsOfService)` Sets this Info instance's URL to the Terms of Service for the API to the given String and returns this instance of Info.
`default Info` `title​(String title)` Sets this Info instance's title for the application to the given title and returns this instance of Info
`default Info` `version​(String version)` Sets the version of the OpenAPI document for this instance of Info to the given version and returns this instance of Info

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

### Method Detail

#### getTitle

    String getTitle()

Returns the title for the application for this instance of Info

Returns:
  the title of the application

#### setTitle

    void setTitle​(String title)

Sets this Info instance's title for the application to the given title.

Parameters:
  `title` - the title of the application

#### title

    default Info title​(String title)

Sets this Info instance's title for the application to the given title and returns this instance of Info

Parameters:
  `title` - the title of the application
Returns:
  this Info instance

#### getDescription

    String getDescription()

Returns a short description for the application for this Info instance.

Returns:
  a short description of the application

#### setDescription

    void setDescription​(String description)

Sets this Info instance's description for the application to the given description.

Parameters:
  `description` - a short description for the application

#### description

    default Info description​(String description)

Sets this Info instance's description for the application to the given description and returns this instance of Info.

Parameters:
  `description` - a short description for the application
Returns:
  this Info instance

#### getTermsOfService

    String getTermsOfService()

Returns the URL to the Terms of Service for the API for this instance of Info.

Returns:
  a URL to the Terms of Service for the API

#### setTermsOfService

    void setTermsOfService​(String termsOfService)

Sets this Info instance's URL to the Terms of Service for the API to the given String. The URL must be in the format of a URL.

Parameters:
  `termsOfService` - the URL to the Terms of Service for the API

#### termsOfService

    default Info termsOfService​(String termsOfService)

Sets this Info instance's URL to the Terms of Service for the API to the given String and returns this instance of Info. The URL must be in the format of a URL.

Parameters:
  `termsOfService` - the URL to the Terms of Service for the API
Returns:
  this Info instance

#### getContact

    Contact getContact()

Returns the contact information for the exposed API from this Info instance.

Returns:
  the contact information for the exposed API

#### setContact

    void setContact​(Contact contact)

Sets this Info instance's contact information for the exposed API.

Parameters:
  `contact` - the contact information for the exposed API

#### contact

    default Info contact​(Contact contact)

Sets this Info instance's contact information for the exposed API and returns this instance of Info.

Parameters:
  `contact` - the contact information for the exposed API
Returns:
  this Info instance

#### getLicense

    License getLicense()

Returns the license information for the exposed API from this Info instance.

Returns:
  the license information for the exposed API

#### setLicense

    void setLicense​(License license)

Sets this Info's license information for the exposed API.

Parameters:
  `license` - the license information for the exposed API

#### license

    default Info license​(License license)

Sets this Info's license information for the exposed API and returns this instance of Info.

Parameters:
  `license` - the license information for the exposed API
Returns:
  this Info instance

#### getVersion

    String getVersion()

Returns the version of the OpenAPI document for this Info instance.

Returns:
  the version of the OpenAPI document

#### setVersion

    void setVersion​(String version)

Sets the version of the OpenAPI document for this instance of Info to the given version.

Parameters:
  `version` - the version of the OpenAPI document

#### version

    default Info version​(String version)

Sets the version of the OpenAPI document for this instance of Info to the given version and returns this instance of Info

Parameters:
  `version` - the version of the OpenAPI document
Returns:
  this Info instance

#### getSummary

    String getSummary()

Returns the summary of the exposed API from this Info instance.

Returns:
  the summary of the exposed API

#### setSummary

    void setSummary​(String summary)

Sets this Info instance's summary information for the exposed API.

Parameters:
  `summary` - the summary of the exposed API

#### summary

    default Info summary​(String summary)

Sets this Info instance's summary of the API to the given summary and returns this instance of Info.

Parameters:
  `summary` - the summary for the exposed API
Returns:
  this Info instance